Subject: Comments on draft-rtgyangdt-rtgwg-routing-types-00

From: Robert Wilton <[email-masked]>
Date: Fri, 2 Dec 2016 14:48:47 +0000

Hi authors,

As part of reviewing this draft, I have two comments:

1) I think that "ieee-bandwidth" could be given a better name, perhaps 
"fp-bandwidth" short for floating-point-bandwidth, otherwise it implies 
that this bandwidth is somehow associated with the IEEE networking 
protocols, which it doesn't appear to be.

As an aside, I am planning on defining a bandwidth for Ethernet 
interfaces using the decimal64 type, specified in Gb/s to 3 decimal 
places (i.e. with a smallest granularity of 1Mb/s).

2) Does it make sense to prune some of the address families?  It feels 
like we are dragging along 40 years of networking history. Possibly even 
moving the 'retired address families' into a sub-module might make it 
easier to just see the ones that are still broadly relevant today?

Thanks,
Rob